'''
these are magnetic moments for elements.

It is intended that this data be used to provide initial guesses
for the magnetic moments, or to decide whether a spin-polarized
calculation is necessary. The magnetic moment is set to zero
for any element for which the magnetic moment
is not explicitly known.

in some cases, the atom may be magnetic, but the most stable form
is not, e.g. H vs. H2.

I am certain it is not complete at this time, if you know of more
magneticmoments that should be included here, contact
jkitchin@andrew.cmu.edu
'''

magneticmoments = [
    0.0, # X
    1.00, # H
    0.0, # He
    0.0, # Li
    0.0, # Be
    0.0, # B
    0.0, # C
    0.0, # N
    2.0, # O
    0.0, # F
    0.0, # Ne
    0.0, # Na
    0.0, # Mg
    0.0, # Al
    0.0, # Si
    0.0, # P
    0.0, # S
    0.0, # Cl
    0.0, # Ar
    0.0, # K
    0.0, # Ca
    0.0, # Sc
    0.0, # Ti
    0.0, # V
    0.0, # Cr
    0.0, # Mn
    2.32, # Fe PRB 59, 1758 (1999)
    1.62, # Co PRB 59, 1758 (1999)
    0.62, # Ni PRB 59, 1758 (1999)
    0.0, # Cu
    0.0, # Zn
    0.0, # Ga
    0.0, # Ge
    0.0, # As
    0.0, # Se
    0.0, # Br
    0.0, # Kr
    0.0, # Rb
    0.0, # Sr
    0.0, # Y
    0.0, # Zr
    0.0, # Nb
    0.0, # Mo
    0.0, # Tc
    0.0, # Ru
    0.0, # Rh
    0.0, # Pd
    0.0, # Ag
    0.0, # Cd
    0.0, # In
    0.0, # Sn
    0.0, # Sb
    0.0, # Te
    0.0, # I
    0.0, # Xe
    0.0, # Cs
    0.0, # Ba
    0.0, # La
    0.0, # Ce
    0.0, # Pr
    0.0, # Nd
    0.0, # Pm
    0.0, # Sm
    0.0, # Eu
    0.0, # Gd
    0.0, # Tb
    0.0, # Dy
    0.0, # Ho
    0.0, # Er
    0.0, # Tm
    0.0, # Yb
    0.0, # Lu
    0.0, # Hf
    0.0, # Ta
    0.0, # W
    0.0, # Re
    0.0, # Os
    0.0, # Ir
    0.0, # Pt
    0.0, # Au
    0.0, # Hg
    0.0, # Tl
    0.0, # Pb
    0.0, # Bi
    0.0, # Po
    0.0, # At
    0.0, # Rn
    0.0, # Fr
    0.0, # Ra
    0.0, # Ac
    0.0, # Th
    0.0, # Pa
    0.0, # U
    0.0, # Np
    0.0, # Pu
    0.0, # Am
    0.0, # Cm
    0.0, # Bk
    0.0, # Cf
    0.0, # Es
    0.0, # Fm
    0.0, # Md
    0.0, # No
    0.0] # Lw

_data = magneticmoments

