
__doc__ = """Average neutron coherent scattering cross-section for the elements
(average over isotopes in their natural abundancies) in barns,
as provided on the NIST website."""

def lookup( atom ):
    return avg_neutron_coh_xs[ atom.Z ]

avg_neutron_coh_xs = [
    None, # X
    1.7568, # H
    1.3400, # He
    0.4540, # Li
    7.6300, # Be
    3.5400, # B
    5.5510, # C
    11.0100, # N
    4.2320, # O
    4.0170, # F
    2.6200, # Ne
    1.6600, # Na
    3.6310, # Mg
    1.4950, # Al
    2.1630, # Si
    3.3070, # P
    1.0186, # S
    11.5257, # Cl
    0.4580, # Ar
    1.6900, # K
    2.7800, # Ca
    19.0000, # Sc
    1.4850, # Ti
    0.0184, # V
    1.6600, # Cr
    1.7500, # Mn
    11.2200, # Fe
    0.7790, # Co
    13.3000, # Ni
    7.4850, # Cu
    4.0540, # Zn
    6.6750, # Ga
    8.4200, # Ge
    5.4400, # As
    7.9800, # Se
    5.8000, # Br
    7.6700, # Kr
    6.3200, # Rb
    6.1900, # Sr
    7.5500, # Y
    6.4400, # Zr
    6.2530, # Nb
    5.6700, # Mo
    5.8000, # Tc
    6.2100, # Ru
    4.3400, # Rh
    4.3900, # Pd
    4.4070, # Ag
    3.0400, # Cd
    2.0800, # In
    4.8710, # Sn
    3.9000, # Sb
    4.2300, # Te
    3.5000, # I
    2.9600, # Xe
    3.6900, # Cs
    3.2300, # Ba
    8.5300, # La
    2.9400, # Ce
    2.6400, # Pr
    7.4300, # Nd
    20.0000, # Pm
    0.4220, # Sm
    6.5700, # Eu
    29.3000, # Gd
    6.8400, # Tb
    35.9000, # Dy
    8.0600, # Ho
    7.6300, # Er
    6.2800, # Tm
    19.4200, # Yb
    6.5300, # Lu
    7.6000, # Hf
    6.0000, # Ta
    2.9700, # W
    10.6000, # Re
    14.4000, # Os
    14.1000, # Ir
    11.5800, # Pt
    7.3200, # Au
    20.2400, # Hg
    9.6780, # Tl
    11.1150, # Pb
    9.1480, # Bi
    0.0000, # Po
    0.0000, # At
    0.0000, # Rn
    0.0000, # Fr
    13.0000, # Ra
    0.0000, # Ac
    13.3600, # Th
    10.4000, # Pa
    8.9030, # U
    14.0000, # Np
    None, # Pu
    8.7000, # Am
    0.0000, # Cm
    None, # Bk
    None, # Cf
    None, # Es
    None, # Fm
    None, # Md
    None, # No
    None] # Lw
      
# end of averaged_neutron_coh_xs.py
